## GdictClientContext GdictClientContext — DICT client transport |

## Functions

GQuark | gdict_client_context_error_quark ()
GdictContext * | gdict_client_context_new ()
void | gdict_client_context_set_hostname ()
const gchar * | gdict_client_context_get_hostname ()
void | gdict_client_context_set_port ()
guint | gdict_client_context_get_port ()
void | gdict_client_context_set_client ()
const gchar * | gdict_client_context_get_client ()

## Properties

gchar * | client-name | Read / Write
gchar * | hostname | Read / Write
guint | port | Read / Write
GdictStatusCode | status | Read

## Signals

void | connected | Run Last
void | disconnected | Run Last

## Types and Values

#define | GDICT_CLIENT_CONTEXT_ERROR
enum | GdictClientContextError

## Object Hierarchy

        GObject
        ╰── GdictClientContext

## Description

GdictClientContext is an implementation of the GdictContext interface. It implements the Dictionary Protocol as defined by the RFC 2229 in order to connect to a dictionary server.

You should rarely instantiate this object directely: use an appropriate GdictSource instead.

## Functions

### gdict_client_context_error_quark ()

    GQuark
    gdict_client_context_error_quark (void);

#### Returns

### gdict_client_context_new ()

    GdictContext *
    gdict_client_context_new (const gchar *hostname,
                              gint port);

Creates a new GdictClientContext object for `hostname` . Use this object to connect and query the dictionary server using the Dictionary Protocol as defined by RFC 2229.

#### Parameters

hostname | the hostname of a dictionary server, or `NULL` for the default server |
port | port to be used when connecting to the dictionary server, or -1 for the default port |

#### Returns

the newly created GdictClientContext object. You should free it using `g_object_unref()`.

### gdict_client_context_set_hostname ()

    void
    gdict_client_context_set_hostname (GdictClientContext *context,
                                       const gchar *hostname);

Sets `hostname` as the hostname of the dictionary server to be used. If `hostname` is `NULL`, the default dictionary server will be used.

#### Parameters

context | a GdictClientContext |
hostname | the hostname of a Dictionary server, or `NULL` |

### gdict_client_context_get_hostname ()

    const gchar *
    gdict_client_context_get_hostname (GdictClientContext *context);

Gets the hostname of the dictionary server used by `context` .

#### Parameters

context | a GdictClientContext |

#### Returns

the hostname of a dictionary server. The returned string is owned by the GdictClientContext object and should never be modified or freed.

### gdict_client_context_set_port ()

    void
    gdict_client_context_set_port (GdictClientContext *context,
                                   gint port);

Sets the port of the dictionary server to be used when connecting.

If `port` is -1, the default port will be used.

#### Parameters

context | a GdictClientContext |
port | port of the dictionary server to be used, or -1 |

### gdict_client_context_get_port ()

    guint
    gdict_client_context_get_port (GdictClientContext *context);

Gets the port of the dictionary server used by `context` .

#### Parameters

context | a GdictClientContext |

#### Returns

the number of the port.

### gdict_client_context_set_client ()

    void
    gdict_client_context_set_client (GdictClientContext *context,
                                     const gchar *client);

Sets `client` as the client name to be used when advertising ourselves when a connection the the dictionary server has been established. If `client` is `NULL`, the default client name will be used.

#### Parameters

context | a GdictClientContext |
client | the client name to use, or `NULL` |

### gdict_client_context_get_client ()

    const gchar *
    gdict_client_context_get_client (GdictClientContext *context);

Gets the client name used by `context` . See `gdict_client_context_set_client()`.

#### Parameters

context | a GdictClientContext |

#### Returns

the client name. The returned string is owned by the GdictClientContext object and should never be modified or freed.

## Types and Values

### GDICT_CLIENT_CONTEXT_ERROR

    #define GDICT_CLIENT_CONTEXT_ERROR (gdict_client_context_error_quark ())

### enum GdictClientContextError

GdictClientContext error enumeration

#### Members

GDICT_CLIENT_CONTEXT_ERROR_SOCKET |  |
GDICT_CLIENT_CONTEXT_ERROR_LOOKUP |  |
GDICT_CLIENT_CONTEXT_ERROR_NO_CONNECTION |  |
GDICT_CLIENT_CONTEXT_ERROR_SERVER_DOWN |  |

## Property Details

### The `“client-name”` property

      “client-name”              gchar *

The name of the client of the context object.

Flags: Read / Write

Default value: NULL

Since 1.0

### The `“hostname”` property

      “hostname”                 gchar *

The hostname of the dictionary server to connect to.

Flags: Read / Write

Default value: NULL

Since 1.0

### The `“port”` property

      “port”                     guint

The port of the dictionary server to connect to.

Flags: Read / Write

Allowed values: <= 65535

Default value: 2628

Since 1.0

### The `“status”` property

      “status”                   GdictStatusCode

The status code as returned by the dictionary server.

Flags: Read

Default value: GDICT_STATUS_INVALID

Since 1.0

## Signal Details

### The `“connected”` signal

    void
    user_function (GdictClientContext *client,
                   gpointer            user_data)

Flags: Run Last

Since 1.0

### The `“disconnected”` signal

    void
    user_function (GdictClientContext *client,
                   gpointer            user_data)

Flags: Run Last

Since 1.0